Subject: Re: bug#17621: sh-mode indentation of continued lines in case statements

From: Stefan Monnier <[email-masked]>
Date: Wed, 28 May 2014 22:33:50 -0400

> In 24.3.91, it indents like:
> case $foo in
>     bar)
>         true && \
>         echo foo
>         ;;
> esac
> 1. Body of case branch not indented as far (this may an improvement).

Indeed, the old indentation you show seems like a bug, tho I can't
remember bumping into it.

> 2. Continued line not indented (this is a bug).

I agree that this is a surprising behavior (I'm friends with the
indentation code and I understand where he comes from, so by respect
for him I avoid the "b" word).

The same holds without the "\", by the way.

        Stefan